/*
 * httpserver.h - URLfilterDB
 *
 * ufdbGuard is copyrighted (C) 2005-2024 by URLfilterDB with all rights reserved.
 *
 * RCS $Revision: 1.10 $ $Date: 2024/05/31 22:36:02 $
 */

#ifndef UFDB_HTTPSERVER_H_INCLUDED
#define UFDB_HTTPSERVER_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

#include "ufdb.h"

#define UFDBHTTPD_PID_FILE	DEFAULT_PIDDIR "/ufdbhttpd.pid"

extern char * globalHttpdPidFile;

void writeHttpdPidFile( void );
void removeHttpdPidFile( void );

void ufdbSimulateHttpServer( 
	const char * interface, 
	int port, 
	const char * username,
	const char * imagesDirectory  );

#ifdef __cplusplus
}
#endif

#endif

